package com.chelvc.framework.base.context;

import com.chelvc.framework.common.model.Caps;
import lombok.Getter;
import lombok.NonNull;

/**
 * 场景分组事件
 *
 * @author Woody
 * @date 2024/11/29
 */
@Getter
public class GroupEvent extends BasicEvent {
    private final String scene;
    private final Caps group;

    public GroupEvent(@NonNull Object source, @NonNull String scene, @NonNull Caps group) {
        super(source);
        this.scene = scene;
        this.group = group;
    }
}
