package com.chelvc.framework.group;

import com.chelvc.framework.base.context.BasicEvent;
import lombok.Getter;
import lombok.NonNull;

/**
 * 分组事件
 *
 * @author Woody
 * @date 2024/9/11
 */
@Getter
public class GroupEvent extends BasicEvent {
    private final Object key;
    private final String scene;
    private final int group;

    public GroupEvent(Object source, @NonNull Object key, @NonNull String scene, int group) {
        super(source);
        this.key = key;
        this.scene = scene;
        this.group = group;
    }
}
